/* ======================================== */
/* obj_button
/* ======================================== */

.obj_button {
	padding: 0;
	margin: 0;
	border: none;
	border-radius: none;
	background: transparent;
	white-space: nowrap;
	cursor: pointer;
	transition: all ease 400ms;
	}

/***/

.btn_default,
.button_default {
	display: inline-block;
	padding: var(--aox-24px) var(--aox-48px);
	font-weight: 900;
	font-size: var(--aox-fs-16px);
	line-height: var(--aox-lh-120);
	color: var(--aox-color-white);
	text-align: center;
	text-transform: uppercase;
	border-radius: var(--aox-40px);
	background: var(--aox-color-black);
	}

/***/

.button_border {
	display: inline-block;
	padding: var(--aox-16px) var(--aox-32px);
	font-weight: 700;
	font-size: var(--aox-fs-16px);
	line-height: var(--aox-lh-120);
	color: var(--aox-color-black);
	text-align: center;
	text-transform: uppercase;
	border: solid 2px var(--aox-color-black);
	border-radius: 0;
	background: transparent;
	}
.button_border:hover {
	color: var(--aox-color-white);
	background: var(--aox-color-black);
	}

.button_border.border_green {
	color: var(--aox-color-green);
	border-color: var(--aox-color-green);
	}
.button_border.border_green:hover {
	color: var(--aox-color-white);
	background: var(--aox-color-green);
	}

/***/

.button_text {
	font-weight: 500;
	font-size: var(--aox-fs-24px);
	line-height: var(--aox-lh-120);
	color: var(--aox-color-red);
	background: linear-gradient(currentcolor, currentcolor) left bottom no-repeat;
 	background-size: 0% 1px;
	}
.button_text:hover {
	background-size: 100% 1px;
	}

@media screen and (max-width: 767px) {

	.button_text {
		font-size: var(--aox-fs-14px);
		}

	}

/***/

.button_back {
	position: relative;
	display: inline-block;
	height: var(--aox-60px);
	padding: var(--aox-20px) var(--aox-20px) var(--aox-20px) var(--aox-60px);
	font-weight: 700;
	font-size: var(--aox-fs-12px);
	line-height: var(--aox-20px);
	color: var(--aox-color-purple-dark);
	text-transform: uppercase;
	}
.button_back .i_icon {
	position: absolute;
	top: 50%;
	left: 0;
	display: block;
	height: var(--aox-60px);
	width: var(--aox-60px);
	transform: translateY(-50%);
	}
	
.button_back:hover {
	opacity: 0.5;
	}

@media screen and (max-width: 767px) {

	.button_back {
		height: var(--aox-40px);
		padding: var(--aox-10px) var(--aox-20px) var(--aox-10px) var(--aox-40px);
		}
	.button_back .i_icon {
		left: var(--aox-10px);
		height: var(--aox-20px);
		width: var(--aox-20px);
		}

	}

/***/

.button_show {
	position: relative;
	display: inline-block;
	height: var(--aox-60px);
	padding: var(--aox-20px) var(--aox-60px) var(--aox-20px) var(--aox-20px);
	font-weight: 700;
	font-size: var(--aox-fs-12px);
	line-height: var(--aox-20px);
	color: var(--aox-color-purple-dark);
	text-transform: uppercase;
	}
.button_show .i_icon {
	position: absolute;
	top: 50%;
	right: var(--aox-10px);
	display: block;
	height: var(--aox-40px);
	width: var(--aox-40px);
	transform: translateY(-50%);
	transition: all ease 200ms;
	}

.button_show:hover {
	opacity: 0.5;
	}
.is_visible .button_show .i_icon,
.button_show.is_visible .i_icon {
	transform: translateY(-50%) scaleY(-1);
	}

@media screen and (max-width: 767px) {

	.button_show {
		height: var(--aox-40px);
		padding: var(--aox-10px) var(--aox-40px) var(--aox-10px) var(--aox-20px);
		}
	.button_show .i_icon {
		right: var(--aox-10px);
		height: var(--aox-20px);
		width: var(--aox-20px);
		}

	.button_show:hover {
		opacity: 1;
		}

	}

/***/

.button_burger {
	display: none;
	position: relative;
	height: var(--aox-70px);
	width: var(--aox-70px);
	margin: 0;
	padding: 0;
	border: 0;
	background: transparent;
	}
.button_burger span {
	position: absolute;
	left: 50%;
	display: block;
	height: var(--aox-2px);
	width: var(--aox-30px);
	transform: translateX(-50%);
	border-radius: var(--aox-1px);
	background: var(--aox-color-white);
	transition: all ease 400ms;
	}
.button_burger span:nth-child(1) {
	top: 35%;
	}
.button_burger span:nth-child(2) {
	top: 50%;
	transform: translate(-50%, -50%); 
	}
.button_burger span:nth-child(3) {
	bottom: 35%;
	}

.button_burger.is_open span:nth-child(1) {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(-45deg);
	}
.button_burger.is_open span:nth-child(2) {
	display: none;
	}
.button_burger.is_open span:nth-child(3) {
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%) rotate(45deg);
	}

@media screen and (max-width: 767px) {
	
	.button_burger {
		display: block;
		}

	}

/* ======================================== */
/*  obj_image
/* ======================================== */

.obj_image {
	position: relative;
	overflow: hidden;
	display: block;
	height: auto;
	width: 100%;
    }
.obj_image > .ctn_image {
	position: static !important;
	max-width: none !important;
    }
.obj_image > .ctn_image > img {
	display: block;
	height: auto;
	width: 100%;
	object-fit: fill;
    }

/***/

.obj_image.image_cover {
	height: 100%;
	width: 100%;
	}
.obj_image.image_cover > .ctn_image {
	height: 100%;
	width: 100%;
	}
.obj_image.image_cover > .ctn_image > img {
	height: 100%;
	width: 100%;
	object-fit: cover;
	object-position: center center;
	}

/* ======================================== */
/*  obj_video
/* ======================================== */

.obj_video {
	position: relative;
	overflow: hidden;
	display: block;
	height: auto;
	width: 100%;
    }
.obj_video .ctn_video {
	display: block;
	height: auto;
	width: 100%;
    }

/***/

.obj_video.video_cover {
	height: 100%;
	width: 100%;
	padding-bottom: 0;
	}
.obj_video.video_cover > .ctn_video {
	height: 100%;
	width: 100%;
	object-fit: cover;
	object-position: center center;
	}

/* ======================================== */
/*  obj_player
/* ======================================== */

.obj_player {
    position: relative;
	overflow: hidden;
	display: block;
	height: auto;
	height: 0;
	width: 100%;
	padding-bottom: 56.25%;
    cursor: pointer;
    }
.obj_player .ctn_player {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
    height: 100%;
	width: 100%;
    }
.obj_player .ctn_player::before {
    content: "";
    position: absolute;
	z-index: 99;
    top: 50%;
    left: 50%;
    display: block;
    height: var(--aox-90px);
    width: var(--aox-90px);
    transform: translate(-50%, -50%);
    transform-origin: 0 0;
    border-radius: 50%;
	border: solid 3px var(--aox-color-white);
	background-color: transparent;
	box-shadow: 0px 0px var(--aox-20px) rgba(0, 0, 0, 0.1);
    transition: all ease 400ms;
    }
.obj_player .ctn_player::after {
    content: "";
    position: absolute;
	z-index: 99;
    top: 50%;
    left: 50%;
    display: block;
    height: var(--aox-30px);
    width: var(--aox-30px);
	border-top: solid 3px var(--aox-color-white);
	border-right: solid 3px var(--aox-color-white);
    transform: translate(-75%, -50%) rotate(45deg);
    transition: all ease 400ms;
    }
.obj_player .ctn_player img {
    height: 100%;
    width: 100%;
    object-fit: cover;
	object-position: center center;
    }

.obj_player:hover .ctn_player::before {
    transform: scale(1.25) translate(-50%, -50%);
    }